/* YaRock Player
* Copyright (C) 2010-2011 Sebastien amardeilh (sebastien.amardeilh+yarock@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "viewmode.h"

bool MAIN::isCollectionMode(MAIN::ViewMode m)
{
  if (m == MAIN::ViewAlbum    || 
      m == MAIN::ViewArtist   ||
      m == MAIN::ViewTrack    ||
      m == MAIN::ViewGenre    ||
      m == MAIN::ViewYear     ||
      m == MAIN::ViewFavorite)
  {
    return true;
  }
  else 
  {
    return false;
  }     
}

bool MAIN::isPlaylistMode(MAIN::ViewMode m)
{
  if (m == MAIN::ViewPlaylist ||
      m == MAIN::ViewPlaylistDetail)
  {
    return true;
  }
  else 
  {
    return false;
  }     
}

bool MAIN::isRadioMode(MAIN::ViewMode m)
{
  if (m == MAIN::ViewIceCast     || 
      m == MAIN::ViewShoutCast   ||
      m == MAIN::ViewCustomRadio ||
      m == MAIN::ViewFavoriteRadio)
  {
    return true;
  }
  else 
  {
    return false;
  }     
}
