/* YaRock Player
* Copyright (C) 2010-2011 Sebastien amardeilh (sebastien.amardeilh+yarock@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _VIEW_MODE_H_
#define _VIEW_MODE_H_

namespace MAIN {
  
  enum ViewMode {
      ViewDashBoard         = 1,
      ViewContext           = 2,
      ViewHistory           = 3,
      ViewAlbum             = 4,
      ViewArtist            = 5,
      ViewTrack             = 6,
      ViewGenre             = 7,
      ViewYear              = 8,
      ViewFavorite          = 9,
      ViewPlaylist          = 10,
      ViewPlaylistDetail    = 11,
      ViewIceCast           = 12,
      ViewShoutCast         = 13,
      ViewCustomRadio       = 14,
      ViewFavoriteRadio     = 15,
      ViewFiler             = 16      
  };
  
  bool isCollectionMode(MAIN::ViewMode m);
  bool isPlaylistMode(MAIN::ViewMode m);  
  bool isRadioMode(MAIN::ViewMode m);
}

#endif // _VIEW_MODE_H_
