/* YaRock Player
* Copyright (C) 2010-2011 Sebastien amardeilh (sebastien.amardeilh+yarock@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _NOWPLAYINGVIEW_H_
#define _NOWPLAYINGVIEW_H_

#include <QtGui/QPaintEvent>
#include <QtGui/QWidget>
#include <QtGui/QFrame>


class InfoResolver;

class NowPlayingView : public QFrame
{
Q_OBJECT
  public:
    NowPlayingView(QWidget *parent);
    
  private :
    InfoResolver        *_infoResolver;
    
  protected:
    void paintEvent(QPaintEvent *event);
    
  private slots:
    void handleStateChanged();
};


#endif // _NOWPLAYINGVIEW_H_
